# openapi-client
Use a melhor e mais acessível API de dados do mercado financeiro! Com ela, você
consegue acessar:

- Dados da bolsa
  - B3
- Dados de títulos públicos
  - Tesouro direto
- Fundos de investimentos
- Mais por vir...

Use a nossa API key de testes. Apenas copie ela após clicar \"Authorize\" e você
estará pronto para utilizar a API!

```
chave-de-teste-api-fintz
```

Mais informações, acesse:

- https://fintz.com.br
- https://blog.fintz.com.br


This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python &gt;&#x3D;3.7

## Migration from other generators like python and python-legacy

### Changes
1. This generator uses spec case for all (object) property names and parameter names.
    - So if the spec has a property name like camelCase, it will use camelCase rather than camel_case
    - So you will need to update how you input and read properties to use spec case
2. Endpoint parameters are stored in dictionaries to prevent collisions (explanation below)
    - So you will need to update how you pass data in to endpoints
3. Endpoint responses now include the original response, the deserialized response body, and (todo)the deserialized headers
    - So you will need to update your code to use response.body to access deserialized data
4. All validated data is instantiated in an instance that subclasses all validated Schema classes and Decimal/str/list/tuple/frozendict/NoneClass/BoolClass/bytes/io.FileIO
    - This means that you can use isinstance to check if a payload validated against a schema class
    - This means that no data will be of type None/True/False
        - ingested None will subclass NoneClass
        - ingested True will subclass BoolClass
        - ingested False will subclass BoolClass
        - So if you need to check is True/False/None, instead use instance.is_true_oapg()/.is_false_oapg()/.is_none_oapg()
5. All validated class instances are immutable except for ones based on io.File
    - This is because if properties were changed after validation, that validation would no longer apply
    - So no changing values or property values after a class has been instantiated
6. String + Number types with formats
    - String type data is stored as a string and if you need to access types based on its format like date,
    date-time, uuid, number etc then you will need to use accessor functions on the instance
    - type string + format: See .as_date_oapg, .as_datetime_oapg, .as_decimal_oapg, .as_uuid_oapg
    - type number + format: See .as_float_oapg, .as_int_oapg
    - this was done because openapi/json-schema defines constraints. string data may be type string with no format
    keyword in one schema, and include a format constraint in another schema
    - So if you need to access a string format based type, use as_date_oapg/as_datetime_oapg/as_decimal_oapg/as_uuid_oapg
    - So if you need to access a number format based type, use as_int_oapg/as_float_oapg
7. Property access on AnyType(type unset) or object(dict) schemas
    - Only required keys with valid python names are properties like .someProp and have type hints
    - All optional keys may not exist, so properties are not defined for them
    - One can access optional values with dict_instance['optionalProp'] and KeyError will be raised if it does not exist
    - Use get_item_oapg if you need a way to always get a value whether or not the key exists
        - If the key does not exist, schemas.unset is returned from calling dict_instance.get_item_oapg('optionalProp')
        - All required and optional keys have type hints for this method, and @typing.overload is used
        - A type hint is also generated for additionalProperties accessed using this method
    - So you will need to update you code to use some_instance['optionalProp'] to access optional property
    and additionalProperty values
8. The location of the api classes has changed
    - Api classes are located in your_package.apis.tags.some_api
    - This change was made to eliminate redundant code generation
    - Legacy generators generated the same endpoint twice if it had > 1 tag on it
    - This generator defines an endpoint in one class, then inherits that class to generate
      apis by tags and by paths
    - This change reduces code and allows quicker run time if you use the path apis
        - path apis are at your_package.apis.paths.some_path
    - Those apis will only load their needed models, which is less to load than all of the resources needed in a tag api
    - So you will need to update your import paths to the api classes

### Why are Oapg and _oapg used in class and method names?
Classes can have arbitrarily named properties set on them
Endpoints can have arbitrary operationId method names set
For those reasons, I use the prefix Oapg and _oapg to greatly reduce the likelihood of collisions
on protected + public classes/methods.
oapg stands for OpenApi Python Generator.

### Object property spec case
This was done because when payloads are ingested, they can be validated against N number of schemas.
If the input signature used a different property name then that has mutated the payload.
So SchemaA and SchemaB must both see the camelCase spec named variable.
Also it is possible to send in two properties, named camelCase and camel_case in the same payload.
That use case should be support so spec case is used.

### Parameter spec case
Parameters can be included in different locations including:
- query
- path
- header
- cookie

Any of those parameters could use the same parameter names, so if every parameter
was included as an endpoint parameter in a function signature, they would collide.
For that reason, each of those inputs have been separated out into separate typed dictionaries:
- query_params
- path_params
- header_params
- cookie_params

So when updating your code, you will need to pass endpoint parameters in using those
dictionaries.

### Endpoint responses
Endpoint responses have been enriched to now include more information.
Any response reom an endpoint will now include the following properties:
response: urllib3.HTTPResponse
body: typing.Union[Unset, Schema]
headers: typing.Union[Unset, TODO]
Note: response header deserialization has not yet been added


## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import openapi_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import openapi_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
import openapi_client
from pprint import pprint
from openapi_client.apis.tags import b3_api
from openapi_client.model.fintz_api_bolsa_b3_indicadores_indicadores_indicadores_model import FintzApiBolsaB3IndicadoresIndicadoresIndicadoresModel
from openapi_client.model.http_validation_error import HTTPValidationError
from openapi_client.model.paged_bonificaoes_model import PagedBonificaoesModel
# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: APIKeyHeader
configuration.api_key['APIKeyHeader'] = 'YOUR_API_KEY'

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['APIKeyHeader'] = 'Bearer'

# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = b3_api.B3Api(api_client)
    tipo = "bdrs" # str | Tipo de ativo, BDRS ou Acoes
ticker = "VLID3" # str | Ticker que identifica, unicamente, uma ação negociada na B3
pagina = 1 # int |  (optional) (default to CodegenParameter{isFormParam=false, isQueryParam=true, isPathParam=false, isHeaderParam=false, isCookieParam=false, isBodyParam=false, isContainer=false, isCollectionFormatMulti=false, isPrimitiveType=true, isModel=false, isExplode=true, baseName='pagina', paramName='pagina', dataType='int', datatypeWithEnum='null', dataFormat='null', collectionFormat='null', description='null', unescapedDescription='null', baseType='null', defaultValue='1', enumDefaultValue='null', enumName='null', style='FORM', deepObject='false', allowEmptyValue='false', example='1', jsonSchema='{
  "name" : "pagina",
  "in" : "query",
  "required" : false,
  "style" : "form",
  "explode" : true,
  "schema" : {
    "title" : "Pagina",
    "minimum" : 1,
    "type" : "integer",
    "default" : 1
  },
  "example" : 1
}', isString=false, isNumeric=false, isInteger=true, isShort=false, isLong=false, isUnboundedInteger=true, isNumber=false, isFloat=false, isDouble=false, isDecimal=false, isByteArray=false, isBinary=false, isBoolean=false, isDate=false, isDateTime=false, isUuid=false, isUri=false, isEmail=false, isFreeFormObject=false, isAnyType=false, isArray=false, isMap=false, isFile=false, isEnum=false, _enum=null, allowableValues=null, items=null, mostInnerItems=null, additionalProperties=null, vars=[], requiredVars=[], vendorExtensions={}, hasValidation=true, maxProperties=null, minProperties=null, isNullable=false, isDeprecated=false, required=false, maximum='null', exclusiveMaximum=false, minimum='1', exclusiveMinimum=false, maxLength=null, minLength=null, pattern='null', maxItems=null, minItems=null, uniqueItems=false, uniqueItemsBoolean=null, contentType=null, multipleOf=null, isNull=false, getAdditionalPropertiesIsAnyType=false, getHasVars=false, getHasRequired=false, getHasDiscriminatorWithNonEmptyMapping=false, composedSchemas=null, hasMultipleTypes=false, schema=CodegenProperty{openApiType='integer', baseName='PaginaSchema', complexType='null', getter='getPagina', setter='setPagina', description='null', dataType='int', datatypeWithEnum='int', dataFormat='null', name='pagina', min='null', max='null', defaultValue='1', defaultValueWithParam=' = data.pagina;', baseType='int', containerType='null', title='Pagina', unescapedDescription='null', maxLength=null, minLength=null, pattern='null', example='1', jsonSchema='{
  "title" : "Pagina",
  "minimum" : 1,
  "type" : "integer",
  "default" : 1
}', minimum='1', maximum='null', exclusiveMinimum=false, exclusiveMaximum=false, required=false, deprecated=false, hasMoreNonReadOnly=false, isPrimitiveType=true, isModel=false, isContainer=false, isString=false, isNumeric=false, isInteger=true, isShort=false, isLong=false, isUnboundedInteger=true, isNumber=false, isFloat=false, isDouble=false, isDecimal=false, isByteArray=false, isBinary=false, isFile=false, isBoolean=false, isDate=false, isDateTime=false, isUuid=false, isUri=false, isEmail=false, isFreeFormObject=false, isArray=false, isMap=false, isEnum=false, isInnerEnum=false, isAnyType=false, isReadOnly=false, isWriteOnly=false, isNullable=false, isSelfReference=false, isCircularReference=false, isDiscriminator=false, _enum=null, allowableValues=null, items=null, additionalProperties=null, vars=[], requiredVars=[], mostInnerItems=null, vendorExtensions={}, hasValidation=true, isInherited=false, discriminatorValue='null', nameInCamelCase='Pagina', nameInSnakeCase='null', enumName='null', maxItems=null, minItems=null, maxProperties=null, minProperties=null, uniqueItems=false, uniqueItemsBoolean=null, multipleOf=null, isXmlAttribute=false, xmlPrefix='null', xmlName='null', xmlNamespace='null', isXmlWrapped=false, isNull=false, getAdditionalPropertiesIsAnyType=false, getHasVars=false, getHasRequired=false, getHasDiscriminatorWithNonEmptyMapping=false, composedSchemas=null, hasMultipleTypes=false, requiredVarsMap=null, ref=null, schemaIsFromAdditionalProperties=false, isBooleanSchemaTrue=false, isBooleanSchemaFalse=false, format=null, dependentRequired=null, contains=null}, content=null, requiredVarsMap=null, ref=null, schemaIsFromAdditionalProperties=false})
tamanho = 10 # int |  (optional) (default to CodegenParameter{isFormParam=false, isQueryParam=true, isPathParam=false, isHeaderParam=false, isCookieParam=false, isBodyParam=false, isContainer=false, isCollectionFormatMulti=false, isPrimitiveType=true, isModel=false, isExplode=true, baseName='tamanho', paramName='tamanho', dataType='int', datatypeWithEnum='null', dataFormat='null', collectionFormat='null', description='null', unescapedDescription='null', baseType='null', defaultValue='10', enumDefaultValue='null', enumName='null', style='FORM', deepObject='false', allowEmptyValue='false', example='10', jsonSchema='{
  "name" : "tamanho",
  "in" : "query",
  "required" : false,
  "style" : "form",
  "explode" : true,
  "schema" : {
    "title" : "Tamanho",
    "maximum" : 1000,
    "minimum" : 1,
    "type" : "integer",
    "default" : 10
  },
  "example" : 10
}', isString=false, isNumeric=false, isInteger=true, isShort=false, isLong=false, isUnboundedInteger=true, isNumber=false, isFloat=false, isDouble=false, isDecimal=false, isByteArray=false, isBinary=false, isBoolean=false, isDate=false, isDateTime=false, isUuid=false, isUri=false, isEmail=false, isFreeFormObject=false, isAnyType=false, isArray=false, isMap=false, isFile=false, isEnum=false, _enum=null, allowableValues=null, items=null, mostInnerItems=null, additionalProperties=null, vars=[], requiredVars=[], vendorExtensions={}, hasValidation=true, maxProperties=null, minProperties=null, isNullable=false, isDeprecated=false, required=false, maximum='1000', exclusiveMaximum=false, minimum='1', exclusiveMinimum=false, maxLength=null, minLength=null, pattern='null', maxItems=null, minItems=null, uniqueItems=false, uniqueItemsBoolean=null, contentType=null, multipleOf=null, isNull=false, getAdditionalPropertiesIsAnyType=false, getHasVars=false, getHasRequired=false, getHasDiscriminatorWithNonEmptyMapping=false, composedSchemas=null, hasMultipleTypes=false, schema=CodegenProperty{openApiType='integer', baseName='TamanhoSchema', complexType='null', getter='getTamanho', setter='setTamanho', description='null', dataType='int', datatypeWithEnum='int', dataFormat='null', name='tamanho', min='null', max='null', defaultValue='10', defaultValueWithParam=' = data.tamanho;', baseType='int', containerType='null', title='Tamanho', unescapedDescription='null', maxLength=null, minLength=null, pattern='null', example='10', jsonSchema='{
  "title" : "Tamanho",
  "maximum" : 1000,
  "minimum" : 1,
  "type" : "integer",
  "default" : 10
}', minimum='1', maximum='1000', exclusiveMinimum=false, exclusiveMaximum=false, required=false, deprecated=false, hasMoreNonReadOnly=false, isPrimitiveType=true, isModel=false, isContainer=false, isString=false, isNumeric=false, isInteger=true, isShort=false, isLong=false, isUnboundedInteger=true, isNumber=false, isFloat=false, isDouble=false, isDecimal=false, isByteArray=false, isBinary=false, isFile=false, isBoolean=false, isDate=false, isDateTime=false, isUuid=false, isUri=false, isEmail=false, isFreeFormObject=false, isArray=false, isMap=false, isEnum=false, isInnerEnum=false, isAnyType=false, isReadOnly=false, isWriteOnly=false, isNullable=false, isSelfReference=false, isCircularReference=false, isDiscriminator=false, _enum=null, allowableValues=null, items=null, additionalProperties=null, vars=[], requiredVars=[], mostInnerItems=null, vendorExtensions={}, hasValidation=true, isInherited=false, discriminatorValue='null', nameInCamelCase='Tamanho', nameInSnakeCase='null', enumName='null', maxItems=null, minItems=null, maxProperties=null, minProperties=null, uniqueItems=false, uniqueItemsBoolean=null, multipleOf=null, isXmlAttribute=false, xmlPrefix='null', xmlName='null', xmlNamespace='null', isXmlWrapped=false, isNull=false, getAdditionalPropertiesIsAnyType=false, getHasVars=false, getHasRequired=false, getHasDiscriminatorWithNonEmptyMapping=false, composedSchemas=null, hasMultipleTypes=false, requiredVarsMap=null, ref=null, schemaIsFromAdditionalProperties=false, isBooleanSchemaTrue=false, isBooleanSchemaFalse=false, format=null, dependentRequired=null, contains=null}, content=null, requiredVarsMap=null, ref=null, schemaIsFromAdditionalProperties=false})

    try:
        # Bonificacoes
        api_response = api_instance.bonificacoes_bolsa_b3_tipo_ticker_bonificacoes_get(tipotickerpagina=paginatamanho=tamanho)
        pprint(api_response)
    except openapi_client.ApiException as e:
        print("Exception when calling B3Api->bonificacoes_bolsa_b3_tipo_ticker_bonificacoes_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*B3Api* | [**bonificacoes_bolsa_b3_tipo_ticker_bonificacoes_get**](docs/apis/tags/B3Api.md#bonificacoes_bolsa_b3_tipo_ticker_bonificacoes_get) | **get** /bolsa/b3/{tipo}/{ticker}/bonificacoes | Bonificacoes
*B3Api* | [**indicadores_bolsa_b3_acoes_ticker_indicadores_get**](docs/apis/tags/B3Api.md#indicadores_bolsa_b3_acoes_ticker_indicadores_get) | **get** /bolsa/b3/acoes/{ticker}/indicadores | Indicadores
*BetaApi* | [**cotacoes_beta_cotacoes_ticker_get**](docs/apis/tags/BetaApi.md#cotacoes_beta_cotacoes_ticker_get) | **get** /beta/cotacoes/{ticker} | Cotacoes
*BetaApi* | [**historico_beta_futuros_ticker_historico_get**](docs/apis/tags/BetaApi.md#historico_beta_futuros_ticker_historico_get) | **get** /beta/futuros/{ticker}/historico | Historico
*BetaApi* | [**indicadores_beta_indicadores_ticker_get**](docs/apis/tags/BetaApi.md#indicadores_beta_indicadores_ticker_get) | **get** /beta/indicadores/{ticker} | Indicadores
*CotacoesApi* | [**cotacoes_beta_cotacoes_ticker_get**](docs/apis/tags/CotacoesApi.md#cotacoes_beta_cotacoes_ticker_get) | **get** /beta/cotacoes/{ticker} | Cotacoes
*DefaultApi* | [**cotacoes_bolsa_b3_ticker_cotacoes_get**](docs/apis/tags/DefaultApi.md#cotacoes_bolsa_b3_ticker_cotacoes_get) | **get** /bolsa/b3/{ticker}/cotacoes/ | Cotacoes
*DefaultApi* | [**cupons_titulos_publicos_tesouro_codigo_cupons_get**](docs/apis/tags/DefaultApi.md#cupons_titulos_publicos_tesouro_codigo_cupons_get) | **get** /titulos-publicos/tesouro/{codigo}/cupons/ | Cupons
*DefaultApi* | [**dres_bolsa_b3_ticker_dres_get**](docs/apis/tags/DefaultApi.md#dres_bolsa_b3_ticker_dres_get) | **get** /bolsa/b3/{ticker}/dres/ | Dres
*DefaultApi* | [**eventos_bolsa_b3_ticker_eventos_get**](docs/apis/tags/DefaultApi.md#eventos_bolsa_b3_ticker_eventos_get) | **get** /bolsa/b3/{ticker}/eventos/ | Eventos
*DefaultApi* | [**historico_bolsa_b3_ticker_historico_get**](docs/apis/tags/DefaultApi.md#historico_bolsa_b3_ticker_historico_get) | **get** /bolsa/b3/{ticker}/historico/ | Historico
*DefaultApi* | [**info_bolsa_b3_ticker_info_get**](docs/apis/tags/DefaultApi.md#info_bolsa_b3_ticker_info_get) | **get** /bolsa/b3/{ticker}/info/ | Info
*DefaultApi* | [**info_titulos_publicos_tesouro_codigo_informacoes_get**](docs/apis/tags/DefaultApi.md#info_titulos_publicos_tesouro_codigo_informacoes_get) | **get** /titulos-publicos/tesouro/{codigo}/informacoes/ | Info
*DefaultApi* | [**precos_atual_titulos_publicos_tesouro_codigo_precos_atual_get**](docs/apis/tags/DefaultApi.md#precos_atual_titulos_publicos_tesouro_codigo_precos_atual_get) | **get** /titulos-publicos/tesouro/{codigo}/precos/atual/ | Precos Atual
*DefaultApi* | [**precos_historico_titulos_publicos_tesouro_codigo_precos_historico_get**](docs/apis/tags/DefaultApi.md#precos_historico_titulos_publicos_tesouro_codigo_precos_historico_get) | **get** /titulos-publicos/tesouro/{codigo}/precos/historico/ | Precos Historico
*DefaultApi* | [**proventos_bolsa_b3_ticker_proventos_get**](docs/apis/tags/DefaultApi.md#proventos_bolsa_b3_ticker_proventos_get) | **get** /bolsa/b3/{ticker}/proventos/ | Proventos
*DefaultApi* | [**search_bolsa_b3_get**](docs/apis/tags/DefaultApi.md#search_bolsa_b3_get) | **get** /bolsa/b3/ | Search
*DefaultApi* | [**search_titulos_publicos_tesouro_get**](docs/apis/tags/DefaultApi.md#search_titulos_publicos_tesouro_get) | **get** /titulos-publicos/tesouro/ | Search
*FuturosApi* | [**historico_beta_futuros_ticker_historico_get**](docs/apis/tags/FuturosApi.md#historico_beta_futuros_ticker_historico_get) | **get** /beta/futuros/{ticker}/historico | Historico
*IndicadoresApi* | [**indicadores_beta_indicadores_ticker_get**](docs/apis/tags/IndicadoresApi.md#indicadores_beta_indicadores_ticker_get) | **get** /beta/indicadores/{ticker} | Indicadores

## Documentation For Models

 - [BonificaoesModel](docs/models/BonificaoesModel.md)
 - [CotacoesModel](docs/models/CotacoesModel.md)
 - [DreModel](docs/models/DreModel.md)
 - [FintzApiBetaIndicadoresIndicadoresIndicadoresModel](docs/models/FintzApiBetaIndicadoresIndicadoresIndicadoresModel.md)
 - [FintzApiBolsaB3CotacoesModel](docs/models/FintzApiBolsaB3CotacoesModel.md)
 - [FintzApiBolsaB3EventosModel](docs/models/FintzApiBolsaB3EventosModel.md)
 - [FintzApiBolsaB3EventosPagedModel](docs/models/FintzApiBolsaB3EventosPagedModel.md)
 - [FintzApiBolsaB3HistoricoModel](docs/models/FintzApiBolsaB3HistoricoModel.md)
 - [FintzApiBolsaB3HistoricoPagedModel](docs/models/FintzApiBolsaB3HistoricoPagedModel.md)
 - [FintzApiBolsaB3IndicadoresIndicadoresIndicadoresModel](docs/models/FintzApiBolsaB3IndicadoresIndicadoresIndicadoresModel.md)
 - [FintzApiBolsaB3InfoModel](docs/models/FintzApiBolsaB3InfoModel.md)
 - [FintzApiBolsaB3ProventosModel](docs/models/FintzApiBolsaB3ProventosModel.md)
 - [FintzApiBolsaB3ProventosPagedModel](docs/models/FintzApiBolsaB3ProventosPagedModel.md)
 - [FintzApiBolsaB3SearchModel](docs/models/FintzApiBolsaB3SearchModel.md)
 - [FintzApiBolsaB3SearchPagedModel](docs/models/FintzApiBolsaB3SearchPagedModel.md)
 - [FintzApiTitulosTesouroCuponsModel](docs/models/FintzApiTitulosTesouroCuponsModel.md)
 - [FintzApiTitulosTesouroCuponsPagedModel](docs/models/FintzApiTitulosTesouroCuponsPagedModel.md)
 - [FintzApiTitulosTesouroInfoModel](docs/models/FintzApiTitulosTesouroInfoModel.md)
 - [FintzApiTitulosTesouroPrecosAtualModel](docs/models/FintzApiTitulosTesouroPrecosAtualModel.md)
 - [FintzApiTitulosTesouroPrecosHistoricoModel](docs/models/FintzApiTitulosTesouroPrecosHistoricoModel.md)
 - [FintzApiTitulosTesouroPrecosHistoricoPagedModel](docs/models/FintzApiTitulosTesouroPrecosHistoricoPagedModel.md)
 - [FintzApiTitulosTesouroSearchModel](docs/models/FintzApiTitulosTesouroSearchModel.md)
 - [FintzApiTitulosTesouroSearchPagedModel](docs/models/FintzApiTitulosTesouroSearchPagedModel.md)
 - [HTTPValidationError](docs/models/HTTPValidationError.md)
 - [HistoricoModel](docs/models/HistoricoModel.md)
 - [PagedBonificaoesModel](docs/models/PagedBonificaoesModel.md)
 - [PagedHistoricoModel](docs/models/PagedHistoricoModel.md)
 - [ValidationError](docs/models/ValidationError.md)

## Documentation For Authorization

 Authentication schemes defined for the API:
## APIKeyHeader

- **Type**: API key
- **API key parameter name**: X-API-Key
- **Location**: HTTP header


## Author

contato@fintz.com.br
contato@fintz.com.br
contato@fintz.com.br
contato@fintz.com.br
contato@fintz.com.br
contato@fintz.com.br

## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in openapi_client.apis and openapi_client.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from openapi_client.apis.default_api import DefaultApi`
- `from openapi_client.model.pet import Pet`

Solution 1:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import openapi_client
from openapi_client.apis import *
from openapi_client.models import *
```
