# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['fintz']

package_data = \
{'': ['*']}

install_requires = \
['httpx>=0.23.3,<0.24.0']

setup_kwargs = {
    'name': 'fintz',
    'version': '0.0.1',
    'description': 'Python client to interact with Fintz API',
    'long_description': '# openapi-client\nUse a melhor e mais acessível API de dados do mercado financeiro! Com ela, você\nconsegue acessar:\n\n- Dados da bolsa\n  - B3\n- Dados de títulos públicos\n  - Tesouro direto\n- Fundos de investimentos\n- Mais por vir...\n\nUse a nossa API key de testes. Apenas copie ela após clicar \\"Authorize\\" e você\nestará pronto para utilizar a API!\n\n```\nchave-de-teste-api-fintz\n```\n\nMais informações, acesse:\n\n- https://fintz.com.br\n- https://blog.fintz.com.br\n\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 0.1.0\n- Package version: 1.0.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython &gt;&#x3D;3.7\n\n## Migration from other generators like python and python-legacy\n\n### Changes\n1. This generator uses spec case for all (object) property names and parameter names.\n    - So if the spec has a property name like camelCase, it will use camelCase rather than camel_case\n    - So you will need to update how you input and read properties to use spec case\n2. Endpoint parameters are stored in dictionaries to prevent collisions (explanation below)\n    - So you will need to update how you pass data in to endpoints\n3. Endpoint responses now include the original response, the deserialized response body, and (todo)the deserialized headers\n    - So you will need to update your code to use response.body to access deserialized data\n4. All validated data is instantiated in an instance that subclasses all validated Schema classes and Decimal/str/list/tuple/frozendict/NoneClass/BoolClass/bytes/io.FileIO\n    - This means that you can use isinstance to check if a payload validated against a schema class\n    - This means that no data will be of type None/True/False\n        - ingested None will subclass NoneClass\n        - ingested True will subclass BoolClass\n        - ingested False will subclass BoolClass\n        - So if you need to check is True/False/None, instead use instance.is_true_oapg()/.is_false_oapg()/.is_none_oapg()\n5. All validated class instances are immutable except for ones based on io.File\n    - This is because if properties were changed after validation, that validation would no longer apply\n    - So no changing values or property values after a class has been instantiated\n6. String + Number types with formats\n    - String type data is stored as a string and if you need to access types based on its format like date,\n    date-time, uuid, number etc then you will need to use accessor functions on the instance\n    - type string + format: See .as_date_oapg, .as_datetime_oapg, .as_decimal_oapg, .as_uuid_oapg\n    - type number + format: See .as_float_oapg, .as_int_oapg\n    - this was done because openapi/json-schema defines constraints. string data may be type string with no format\n    keyword in one schema, and include a format constraint in another schema\n    - So if you need to access a string format based type, use as_date_oapg/as_datetime_oapg/as_decimal_oapg/as_uuid_oapg\n    - So if you need to access a number format based type, use as_int_oapg/as_float_oapg\n7. Property access on AnyType(type unset) or object(dict) schemas\n    - Only required keys with valid python names are properties like .someProp and have type hints\n    - All optional keys may not exist, so properties are not defined for them\n    - One can access optional values with dict_instance[\'optionalProp\'] and KeyError will be raised if it does not exist\n    - Use get_item_oapg if you need a way to always get a value whether or not the key exists\n        - If the key does not exist, schemas.unset is returned from calling dict_instance.get_item_oapg(\'optionalProp\')\n        - All required and optional keys have type hints for this method, and @typing.overload is used\n        - A type hint is also generated for additionalProperties accessed using this method\n    - So you will need to update you code to use some_instance[\'optionalProp\'] to access optional property\n    and additionalProperty values\n8. The location of the api classes has changed\n    - Api classes are located in your_package.apis.tags.some_api\n    - This change was made to eliminate redundant code generation\n    - Legacy generators generated the same endpoint twice if it had > 1 tag on it\n    - This generator defines an endpoint in one class, then inherits that class to generate\n      apis by tags and by paths\n    - This change reduces code and allows quicker run time if you use the path apis\n        - path apis are at your_package.apis.paths.some_path\n    - Those apis will only load their needed models, which is less to load than all of the resources needed in a tag api\n    - So you will need to update your import paths to the api classes\n\n### Why are Oapg and _oapg used in class and method names?\nClasses can have arbitrarily named properties set on them\nEndpoints can have arbitrary operationId method names set\nFor those reasons, I use the prefix Oapg and _oapg to greatly reduce the likelihood of collisions\non protected + public classes/methods.\noapg stands for OpenApi Python Generator.\n\n### Object property spec case\nThis was done because when payloads are ingested, they can be validated against N number of schemas.\nIf the input signature used a different property name then that has mutated the payload.\nSo SchemaA and SchemaB must both see the camelCase spec named variable.\nAlso it is possible to send in two properties, named camelCase and camel_case in the same payload.\nThat use case should be support so spec case is used.\n\n### Parameter spec case\nParameters can be included in different locations including:\n- query\n- path\n- header\n- cookie\n\nAny of those parameters could use the same parameter names, so if every parameter\nwas included as an endpoint parameter in a function signature, they would collide.\nFor that reason, each of those inputs have been separated out into separate typed dictionaries:\n- query_params\n- path_params\n- header_params\n- cookie_params\n\nSo when updating your code, you will need to pass endpoint parameters in using those\ndictionaries.\n\n### Endpoint responses\nEndpoint responses have been enriched to now include more information.\nAny response reom an endpoint will now include the following properties:\nresponse: urllib3.HTTPResponse\nbody: typing.Union[Unset, Schema]\nheaders: typing.Union[Unset, TODO]\nNote: response header deserialization has not yet been added\n\n\n## Installation & Usage\n### pip install\n\nIf the python package is hosted on a repository, you can install directly using:\n\n```sh\npip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git\n```\n(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)\n\nThen import the package:\n```python\nimport openapi_client\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\nThen import the package:\n```python\nimport openapi_client\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nimport openapi_client\nfrom pprint import pprint\nfrom openapi_client.apis.tags import b3_api\nfrom openapi_client.model.fintz_api_bolsa_b3_indicadores_indicadores_indicadores_model import FintzApiBolsaB3IndicadoresIndicadoresIndicadoresModel\nfrom openapi_client.model.http_validation_error import HTTPValidationError\nfrom openapi_client.model.paged_bonificaoes_model import PagedBonificaoesModel\n# Defining the host is optional and defaults to http://localhost\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = openapi_client.Configuration(\n    host = "http://localhost"\n)\n\n# The client must configure the authentication and authorization parameters\n# in accordance with the API server security policy.\n# Examples for each auth method are provided below, use the example that\n# satisfies your auth use case.\n\n# Configure API key authorization: APIKeyHeader\nconfiguration.api_key[\'APIKeyHeader\'] = \'YOUR_API_KEY\'\n\n# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed\n# configuration.api_key_prefix[\'APIKeyHeader\'] = \'Bearer\'\n\n# Enter a context with an instance of the API client\nwith openapi_client.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = b3_api.B3Api(api_client)\n    tipo = "bdrs" # str | Tipo de ativo, BDRS ou Acoes\nticker = "VLID3" # str | Ticker que identifica, unicamente, uma ação negociada na B3\npagina = 1 # int |  (optional) (default to CodegenParameter{isFormParam=false, isQueryParam=true, isPathParam=false, isHeaderParam=false, isCookieParam=false, isBodyParam=false, isContainer=false, isCollectionFormatMulti=false, isPrimitiveType=true, isModel=false, isExplode=true, baseName=\'pagina\', paramName=\'pagina\', dataType=\'int\', datatypeWithEnum=\'null\', dataFormat=\'null\', collectionFormat=\'null\', description=\'null\', unescapedDescription=\'null\', baseType=\'null\', defaultValue=\'1\', enumDefaultValue=\'null\', enumName=\'null\', style=\'FORM\', deepObject=\'false\', allowEmptyValue=\'false\', example=\'1\', jsonSchema=\'{\n  "name" : "pagina",\n  "in" : "query",\n  "required" : false,\n  "style" : "form",\n  "explode" : true,\n  "schema" : {\n    "title" : "Pagina",\n    "minimum" : 1,\n    "type" : "integer",\n    "default" : 1\n  },\n  "example" : 1\n}\', isString=false, isNumeric=false, isInteger=true, isShort=false, isLong=false, isUnboundedInteger=true, isNumber=false, isFloat=false, isDouble=false, isDecimal=false, isByteArray=false, isBinary=false, isBoolean=false, isDate=false, isDateTime=false, isUuid=false, isUri=false, isEmail=false, isFreeFormObject=false, isAnyType=false, isArray=false, isMap=false, isFile=false, isEnum=false, _enum=null, allowableValues=null, items=null, mostInnerItems=null, additionalProperties=null, vars=[], requiredVars=[], vendorExtensions={}, hasValidation=true, maxProperties=null, minProperties=null, isNullable=false, isDeprecated=false, required=false, maximum=\'null\', exclusiveMaximum=false, minimum=\'1\', exclusiveMinimum=false, maxLength=null, minLength=null, pattern=\'null\', maxItems=null, minItems=null, uniqueItems=false, uniqueItemsBoolean=null, contentType=null, multipleOf=null, isNull=false, getAdditionalPropertiesIsAnyType=false, getHasVars=false, getHasRequired=false, getHasDiscriminatorWithNonEmptyMapping=false, composedSchemas=null, hasMultipleTypes=false, schema=CodegenProperty{openApiType=\'integer\', baseName=\'PaginaSchema\', complexType=\'null\', getter=\'getPagina\', setter=\'setPagina\', description=\'null\', dataType=\'int\', datatypeWithEnum=\'int\', dataFormat=\'null\', name=\'pagina\', min=\'null\', max=\'null\', defaultValue=\'1\', defaultValueWithParam=\' = data.pagina;\', baseType=\'int\', containerType=\'null\', title=\'Pagina\', unescapedDescription=\'null\', maxLength=null, minLength=null, pattern=\'null\', example=\'1\', jsonSchema=\'{\n  "title" : "Pagina",\n  "minimum" : 1,\n  "type" : "integer",\n  "default" : 1\n}\', minimum=\'1\', maximum=\'null\', exclusiveMinimum=false, exclusiveMaximum=false, required=false, deprecated=false, hasMoreNonReadOnly=false, isPrimitiveType=true, isModel=false, isContainer=false, isString=false, isNumeric=false, isInteger=true, isShort=false, isLong=false, isUnboundedInteger=true, isNumber=false, isFloat=false, isDouble=false, isDecimal=false, isByteArray=false, isBinary=false, isFile=false, isBoolean=false, isDate=false, isDateTime=false, isUuid=false, isUri=false, isEmail=false, isFreeFormObject=false, isArray=false, isMap=false, isEnum=false, isInnerEnum=false, isAnyType=false, isReadOnly=false, isWriteOnly=false, isNullable=false, isSelfReference=false, isCircularReference=false, isDiscriminator=false, _enum=null, allowableValues=null, items=null, additionalProperties=null, vars=[], requiredVars=[], mostInnerItems=null, vendorExtensions={}, hasValidation=true, isInherited=false, discriminatorValue=\'null\', nameInCamelCase=\'Pagina\', nameInSnakeCase=\'null\', enumName=\'null\', maxItems=null, minItems=null, maxProperties=null, minProperties=null, uniqueItems=false, uniqueItemsBoolean=null, multipleOf=null, isXmlAttribute=false, xmlPrefix=\'null\', xmlName=\'null\', xmlNamespace=\'null\', isXmlWrapped=false, isNull=false, getAdditionalPropertiesIsAnyType=false, getHasVars=false, getHasRequired=false, getHasDiscriminatorWithNonEmptyMapping=false, composedSchemas=null, hasMultipleTypes=false, requiredVarsMap=null, ref=null, schemaIsFromAdditionalProperties=false, isBooleanSchemaTrue=false, isBooleanSchemaFalse=false, format=null, dependentRequired=null, contains=null}, content=null, requiredVarsMap=null, ref=null, schemaIsFromAdditionalProperties=false})\ntamanho = 10 # int |  (optional) (default to CodegenParameter{isFormParam=false, isQueryParam=true, isPathParam=false, isHeaderParam=false, isCookieParam=false, isBodyParam=false, isContainer=false, isCollectionFormatMulti=false, isPrimitiveType=true, isModel=false, isExplode=true, baseName=\'tamanho\', paramName=\'tamanho\', dataType=\'int\', datatypeWithEnum=\'null\', dataFormat=\'null\', collectionFormat=\'null\', description=\'null\', unescapedDescription=\'null\', baseType=\'null\', defaultValue=\'10\', enumDefaultValue=\'null\', enumName=\'null\', style=\'FORM\', deepObject=\'false\', allowEmptyValue=\'false\', example=\'10\', jsonSchema=\'{\n  "name" : "tamanho",\n  "in" : "query",\n  "required" : false,\n  "style" : "form",\n  "explode" : true,\n  "schema" : {\n    "title" : "Tamanho",\n    "maximum" : 1000,\n    "minimum" : 1,\n    "type" : "integer",\n    "default" : 10\n  },\n  "example" : 10\n}\', isString=false, isNumeric=false, isInteger=true, isShort=false, isLong=false, isUnboundedInteger=true, isNumber=false, isFloat=false, isDouble=false, isDecimal=false, isByteArray=false, isBinary=false, isBoolean=false, isDate=false, isDateTime=false, isUuid=false, isUri=false, isEmail=false, isFreeFormObject=false, isAnyType=false, isArray=false, isMap=false, isFile=false, isEnum=false, _enum=null, allowableValues=null, items=null, mostInnerItems=null, additionalProperties=null, vars=[], requiredVars=[], vendorExtensions={}, hasValidation=true, maxProperties=null, minProperties=null, isNullable=false, isDeprecated=false, required=false, maximum=\'1000\', exclusiveMaximum=false, minimum=\'1\', exclusiveMinimum=false, maxLength=null, minLength=null, pattern=\'null\', maxItems=null, minItems=null, uniqueItems=false, uniqueItemsBoolean=null, contentType=null, multipleOf=null, isNull=false, getAdditionalPropertiesIsAnyType=false, getHasVars=false, getHasRequired=false, getHasDiscriminatorWithNonEmptyMapping=false, composedSchemas=null, hasMultipleTypes=false, schema=CodegenProperty{openApiType=\'integer\', baseName=\'TamanhoSchema\', complexType=\'null\', getter=\'getTamanho\', setter=\'setTamanho\', description=\'null\', dataType=\'int\', datatypeWithEnum=\'int\', dataFormat=\'null\', name=\'tamanho\', min=\'null\', max=\'null\', defaultValue=\'10\', defaultValueWithParam=\' = data.tamanho;\', baseType=\'int\', containerType=\'null\', title=\'Tamanho\', unescapedDescription=\'null\', maxLength=null, minLength=null, pattern=\'null\', example=\'10\', jsonSchema=\'{\n  "title" : "Tamanho",\n  "maximum" : 1000,\n  "minimum" : 1,\n  "type" : "integer",\n  "default" : 10\n}\', minimum=\'1\', maximum=\'1000\', exclusiveMinimum=false, exclusiveMaximum=false, required=false, deprecated=false, hasMoreNonReadOnly=false, isPrimitiveType=true, isModel=false, isContainer=false, isString=false, isNumeric=false, isInteger=true, isShort=false, isLong=false, isUnboundedInteger=true, isNumber=false, isFloat=false, isDouble=false, isDecimal=false, isByteArray=false, isBinary=false, isFile=false, isBoolean=false, isDate=false, isDateTime=false, isUuid=false, isUri=false, isEmail=false, isFreeFormObject=false, isArray=false, isMap=false, isEnum=false, isInnerEnum=false, isAnyType=false, isReadOnly=false, isWriteOnly=false, isNullable=false, isSelfReference=false, isCircularReference=false, isDiscriminator=false, _enum=null, allowableValues=null, items=null, additionalProperties=null, vars=[], requiredVars=[], mostInnerItems=null, vendorExtensions={}, hasValidation=true, isInherited=false, discriminatorValue=\'null\', nameInCamelCase=\'Tamanho\', nameInSnakeCase=\'null\', enumName=\'null\', maxItems=null, minItems=null, maxProperties=null, minProperties=null, uniqueItems=false, uniqueItemsBoolean=null, multipleOf=null, isXmlAttribute=false, xmlPrefix=\'null\', xmlName=\'null\', xmlNamespace=\'null\', isXmlWrapped=false, isNull=false, getAdditionalPropertiesIsAnyType=false, getHasVars=false, getHasRequired=false, getHasDiscriminatorWithNonEmptyMapping=false, composedSchemas=null, hasMultipleTypes=false, requiredVarsMap=null, ref=null, schemaIsFromAdditionalProperties=false, isBooleanSchemaTrue=false, isBooleanSchemaFalse=false, format=null, dependentRequired=null, contains=null}, content=null, requiredVarsMap=null, ref=null, schemaIsFromAdditionalProperties=false})\n\n    try:\n        # Bonificacoes\n        api_response = api_instance.bonificacoes_bolsa_b3_tipo_ticker_bonificacoes_get(tipotickerpagina=paginatamanho=tamanho)\n        pprint(api_response)\n    except openapi_client.ApiException as e:\n        print("Exception when calling B3Api->bonificacoes_bolsa_b3_tipo_ticker_bonificacoes_get: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *http://localhost*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*B3Api* | [**bonificacoes_bolsa_b3_tipo_ticker_bonificacoes_get**](docs/apis/tags/B3Api.md#bonificacoes_bolsa_b3_tipo_ticker_bonificacoes_get) | **get** /bolsa/b3/{tipo}/{ticker}/bonificacoes | Bonificacoes\n*B3Api* | [**indicadores_bolsa_b3_acoes_ticker_indicadores_get**](docs/apis/tags/B3Api.md#indicadores_bolsa_b3_acoes_ticker_indicadores_get) | **get** /bolsa/b3/acoes/{ticker}/indicadores | Indicadores\n*BetaApi* | [**cotacoes_beta_cotacoes_ticker_get**](docs/apis/tags/BetaApi.md#cotacoes_beta_cotacoes_ticker_get) | **get** /beta/cotacoes/{ticker} | Cotacoes\n*BetaApi* | [**historico_beta_futuros_ticker_historico_get**](docs/apis/tags/BetaApi.md#historico_beta_futuros_ticker_historico_get) | **get** /beta/futuros/{ticker}/historico | Historico\n*BetaApi* | [**indicadores_beta_indicadores_ticker_get**](docs/apis/tags/BetaApi.md#indicadores_beta_indicadores_ticker_get) | **get** /beta/indicadores/{ticker} | Indicadores\n*CotacoesApi* | [**cotacoes_beta_cotacoes_ticker_get**](docs/apis/tags/CotacoesApi.md#cotacoes_beta_cotacoes_ticker_get) | **get** /beta/cotacoes/{ticker} | Cotacoes\n*DefaultApi* | [**cotacoes_bolsa_b3_ticker_cotacoes_get**](docs/apis/tags/DefaultApi.md#cotacoes_bolsa_b3_ticker_cotacoes_get) | **get** /bolsa/b3/{ticker}/cotacoes/ | Cotacoes\n*DefaultApi* | [**cupons_titulos_publicos_tesouro_codigo_cupons_get**](docs/apis/tags/DefaultApi.md#cupons_titulos_publicos_tesouro_codigo_cupons_get) | **get** /titulos-publicos/tesouro/{codigo}/cupons/ | Cupons\n*DefaultApi* | [**dres_bolsa_b3_ticker_dres_get**](docs/apis/tags/DefaultApi.md#dres_bolsa_b3_ticker_dres_get) | **get** /bolsa/b3/{ticker}/dres/ | Dres\n*DefaultApi* | [**eventos_bolsa_b3_ticker_eventos_get**](docs/apis/tags/DefaultApi.md#eventos_bolsa_b3_ticker_eventos_get) | **get** /bolsa/b3/{ticker}/eventos/ | Eventos\n*DefaultApi* | [**historico_bolsa_b3_ticker_historico_get**](docs/apis/tags/DefaultApi.md#historico_bolsa_b3_ticker_historico_get) | **get** /bolsa/b3/{ticker}/historico/ | Historico\n*DefaultApi* | [**info_bolsa_b3_ticker_info_get**](docs/apis/tags/DefaultApi.md#info_bolsa_b3_ticker_info_get) | **get** /bolsa/b3/{ticker}/info/ | Info\n*DefaultApi* | [**info_titulos_publicos_tesouro_codigo_informacoes_get**](docs/apis/tags/DefaultApi.md#info_titulos_publicos_tesouro_codigo_informacoes_get) | **get** /titulos-publicos/tesouro/{codigo}/informacoes/ | Info\n*DefaultApi* | [**precos_atual_titulos_publicos_tesouro_codigo_precos_atual_get**](docs/apis/tags/DefaultApi.md#precos_atual_titulos_publicos_tesouro_codigo_precos_atual_get) | **get** /titulos-publicos/tesouro/{codigo}/precos/atual/ | Precos Atual\n*DefaultApi* | [**precos_historico_titulos_publicos_tesouro_codigo_precos_historico_get**](docs/apis/tags/DefaultApi.md#precos_historico_titulos_publicos_tesouro_codigo_precos_historico_get) | **get** /titulos-publicos/tesouro/{codigo}/precos/historico/ | Precos Historico\n*DefaultApi* | [**proventos_bolsa_b3_ticker_proventos_get**](docs/apis/tags/DefaultApi.md#proventos_bolsa_b3_ticker_proventos_get) | **get** /bolsa/b3/{ticker}/proventos/ | Proventos\n*DefaultApi* | [**search_bolsa_b3_get**](docs/apis/tags/DefaultApi.md#search_bolsa_b3_get) | **get** /bolsa/b3/ | Search\n*DefaultApi* | [**search_titulos_publicos_tesouro_get**](docs/apis/tags/DefaultApi.md#search_titulos_publicos_tesouro_get) | **get** /titulos-publicos/tesouro/ | Search\n*FuturosApi* | [**historico_beta_futuros_ticker_historico_get**](docs/apis/tags/FuturosApi.md#historico_beta_futuros_ticker_historico_get) | **get** /beta/futuros/{ticker}/historico | Historico\n*IndicadoresApi* | [**indicadores_beta_indicadores_ticker_get**](docs/apis/tags/IndicadoresApi.md#indicadores_beta_indicadores_ticker_get) | **get** /beta/indicadores/{ticker} | Indicadores\n\n## Documentation For Models\n\n - [BonificaoesModel](docs/models/BonificaoesModel.md)\n - [CotacoesModel](docs/models/CotacoesModel.md)\n - [DreModel](docs/models/DreModel.md)\n - [FintzApiBetaIndicadoresIndicadoresIndicadoresModel](docs/models/FintzApiBetaIndicadoresIndicadoresIndicadoresModel.md)\n - [FintzApiBolsaB3CotacoesModel](docs/models/FintzApiBolsaB3CotacoesModel.md)\n - [FintzApiBolsaB3EventosModel](docs/models/FintzApiBolsaB3EventosModel.md)\n - [FintzApiBolsaB3EventosPagedModel](docs/models/FintzApiBolsaB3EventosPagedModel.md)\n - [FintzApiBolsaB3HistoricoModel](docs/models/FintzApiBolsaB3HistoricoModel.md)\n - [FintzApiBolsaB3HistoricoPagedModel](docs/models/FintzApiBolsaB3HistoricoPagedModel.md)\n - [FintzApiBolsaB3IndicadoresIndicadoresIndicadoresModel](docs/models/FintzApiBolsaB3IndicadoresIndicadoresIndicadoresModel.md)\n - [FintzApiBolsaB3InfoModel](docs/models/FintzApiBolsaB3InfoModel.md)\n - [FintzApiBolsaB3ProventosModel](docs/models/FintzApiBolsaB3ProventosModel.md)\n - [FintzApiBolsaB3ProventosPagedModel](docs/models/FintzApiBolsaB3ProventosPagedModel.md)\n - [FintzApiBolsaB3SearchModel](docs/models/FintzApiBolsaB3SearchModel.md)\n - [FintzApiBolsaB3SearchPagedModel](docs/models/FintzApiBolsaB3SearchPagedModel.md)\n - [FintzApiTitulosTesouroCuponsModel](docs/models/FintzApiTitulosTesouroCuponsModel.md)\n - [FintzApiTitulosTesouroCuponsPagedModel](docs/models/FintzApiTitulosTesouroCuponsPagedModel.md)\n - [FintzApiTitulosTesouroInfoModel](docs/models/FintzApiTitulosTesouroInfoModel.md)\n - [FintzApiTitulosTesouroPrecosAtualModel](docs/models/FintzApiTitulosTesouroPrecosAtualModel.md)\n - [FintzApiTitulosTesouroPrecosHistoricoModel](docs/models/FintzApiTitulosTesouroPrecosHistoricoModel.md)\n - [FintzApiTitulosTesouroPrecosHistoricoPagedModel](docs/models/FintzApiTitulosTesouroPrecosHistoricoPagedModel.md)\n - [FintzApiTitulosTesouroSearchModel](docs/models/FintzApiTitulosTesouroSearchModel.md)\n - [FintzApiTitulosTesouroSearchPagedModel](docs/models/FintzApiTitulosTesouroSearchPagedModel.md)\n - [HTTPValidationError](docs/models/HTTPValidationError.md)\n - [HistoricoModel](docs/models/HistoricoModel.md)\n - [PagedBonificaoesModel](docs/models/PagedBonificaoesModel.md)\n - [PagedHistoricoModel](docs/models/PagedHistoricoModel.md)\n - [ValidationError](docs/models/ValidationError.md)\n\n## Documentation For Authorization\n\n Authentication schemes defined for the API:\n## APIKeyHeader\n\n- **Type**: API key\n- **API key parameter name**: X-API-Key\n- **Location**: HTTP header\n\n\n## Author\n\ncontato@fintz.com.br\ncontato@fintz.com.br\ncontato@fintz.com.br\ncontato@fintz.com.br\ncontato@fintz.com.br\ncontato@fintz.com.br\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in openapi_client.apis and openapi_client.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from openapi_client.apis.default_api import DefaultApi`\n- `from openapi_client.model.pet import Pet`\n\nSolution 1:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nimport openapi_client\nfrom openapi_client.apis import *\nfrom openapi_client.models import *\n```\n',
    'author': 'João Vicente Meyer',
    'author_email': '1994meyer@gmail.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
